<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mcwl.resource.mapper.ModelCommentLikeMapper">
    <update id="updateDelFlagById">
        update model_comment_like
        set del_flag = #{delFlag}
        where user_id = #{userId} and model_comment_id = #{modelCommentId}
    </update>


    <select id="getLikeComment" resultType="com.mcwl.resource.domain.ModelCommentLike">
        select id,
               user_id,
               model_comment_id,
               create_by,
               create_time,
               update_by,
               update_time,
               del_flag,
               remark
        from model_comment_like
        where user_id = #{userId} and model_comment_id = #{commentId}
    </select>
</mapper>
